void drawWorld(){
  pushMatrix();
	  translate(width/2, height/2);
	  scale(worldToScreenScale);
	  
	  strokeWeight(2f/worldToScreenScale);
	  rectMode(CENTER);
	  fill(255);
	  stroke(0);
	  
	  //Draw the entities
	  entities.draw();
  popMatrix();
}

void drawUI(){
  entities.drawUI();
  
  //Display the score
  pushMatrix();
	translate(width / 2, 10);
	textFont(font);
	textAlign(CENTER, TOP);
	textSize(24);
	fill(0); noStroke();
	text("SCORE: " + ceil(score), 0, 0);
  popMatrix();
}
